Subject: Indicating Chosen Service #443

From: Martin Thomson <[email-masked]>
Date: Mon, 31 Mar 2014 09:37:10 -0700

>From @mnot in #443:

It's likely necessary for the server to know which protocol the user
agent has chosen, and perhaps even the hostname (for load balancing).
At the very least, there should be a flag in SETTINGS that indicates
that an alternate service has been used.

>From me:

How is it that the combination of the protocol that is actually in
use, and maybe Via, is not sufficient?

As in, you get a connection from a client, using HTTP/2.  That's
usually a good sign that they are connecting via HTTP/2.

Presumably you know the names you can be reached by (it isn't always
true that you know what DNS records point to you, conceded, but let's
pretend that you aren't operating completely blind).  But that doesn't
matter, because what's actually important is what domains you are
claiming to be authoritative for, which you have to know.

So, why?